/* styles.css */

body {
    background-color: lightblue;
    font-family: 'Roboto', sans-serif;
    line-height: 30px;
    font-size: 22px;
    font-weight: 500;
}

img {
    max-width: 200px;
    max-height: 200px;
}

@media only screen and (max-width: 600px) {
    .container, .special {
        font-size: 15px;
    }
}

@media only screen and (max-width: 490px) {
    #weather, #forecast {
        font-size: 15px;
    }
}

@media only screen and (max-width: 330px) {
    #getWeatherForecast {
        margin: 0 !important;
    }
}

#weather, #forecast {
    font-size: 18px;
    margin-left: 25%;
}

input {
    margin-left: 150%;
}

a {
    color: black;
}

.special {
    color: midnightblue;
    margin-left: 13%;
    font-size: 15px;
    position: relative;
    animation-name: example;
    animation-duration: 5s;
    animation-iteration-count: infinite;
}

@keyframes example {
    0% {
        background-color: lightblue;
        left: 0px;
        top: 0px;
    }
    25% {
        background-color: lightyellow;
        right: 30px;
    }
    50% {
        background-color: lightskyblue;
        left: 30px;
    }
    75% {
        background-color: lightyellow;
        right: 30px;
    }
    100% {
        background-color: lightskyblue;
        left: 0px;
        top: 0px;
    }
}